/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: CAREntityResolver.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.ee.metadata.car.impl.xml.parsing;

import org.ow2.util.ee.metadata.common.impl.xml.parsing.IEntityResolver;
import org.ow2.util.xml.SchemaEntityResolver;

/**
 * Entity resolver allowing to find schema within the classloader.
 * @author Florent Benoit
 */
public class CAREntityResolver extends SchemaEntityResolver implements IEntityResolver {

    /**
     * All schemas used by Clients.
     */
    private static final String[] CAR_SCHEMAS = new String[] {PREFIX + EJB3_SCHEMA, PREFIX + EJB2_SCHEMA, PREFIX + CLIENT_SCHEMA, PREFIX + CLIENT14_SCHEMA,
            PREFIX + JAVAEE5_SCHEMA, PREFIX + J2EE14_SCHEMA, PREFIX + JAVAEE_WEBSERVICES_CLIENT_SCHEMA,
            PREFIX + J2EE_WEBSERVICES_CLIENT_SCHEMA, PREFIX + XML_SCHEMA };

    /**
     * All Public ID used by Clients.
     */
    private static final String[] CAR_PUBLIC_IDS = new String[] {
            XMLSCHEMA_PUBLIC_ID,
            DATATYPES_PUBLIC_ID,
            CLIENT12_PUBLIC_ID,
            CLIENT13_PUBLIC_ID
    };

    /**
     * All DTDs filename used by Clients.
     */
    private static final String[] CAR_DTDS = new String[] {
            PREFIX + XMLSCHEMA_DTD,
            PREFIX + DATATYPES_DTD,
            PREFIX + CLIENT12_DTD,
            PREFIX + CLIENT13_DTD
    };


    /**
     * Constructor. Finds the XSD with classloader.
     */
    public CAREntityResolver() {
        super(CAR_SCHEMAS, CAR_PUBLIC_IDS, CAR_DTDS);
    }

}
